[Created] (MENFORCER-301) banDuplicatePomDependencyVersions does not check managementDependencies

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Created] (MENFORCER-301) banDuplicatePomDependencyVersions does not check managementDependencies

JIRA jira@apache.org
Alexander Kudrevatykh created MENFORCER-301:
-----------------------------------------------

             Summary: banDuplicatePomDependencyVersions does not check managementDependencies
                 Key: MENFORCER-301
                 URL: https://issues.apache.org/jira/browse/MENFORCER-301
             Project: Maven Enforcer Plugin
          Issue Type: Bug
          Components: Standard Rules
    Affects Versions: 3.0.0-M1
            Reporter: Alexander Kudrevatykh


MENFORCER-152 added rule for ban duplicate depndencies, but dependencyManagement section does not checked correctly codeĀ  \{code:java} if ( model.getDependencyManagement() != null ) \{ List<Dependency> managementDependencies = model.getDependencies(); Map<String, Integer> duplicateManagementDependencies = validateDependencies( managementDependencies );{code} should be written as \{code} if ( model.getDependencyManagement() != null ) \{ List<Dependency> managementDependencies = model.getDependencyManagement().getDependencies(); Map<String, Integer> duplicateManagementDependencies = validateDependencies( managementDependencies );{code} and same fix should be applied to \{noformat}profiles\{noformat} checking code



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)